import "./globals.css";
import { Roboto } from "next/font/google";
import "tw-elements/dist/css/tw-elements.min.css";
import Header from "@/app/components/UI/header/header";
import Footer from "@/app/components/UI/footer/footer";
import { Suspense } from "react";

const roboto = Roboto({ weight: "400", subsets: ["latin"] });


export const metadata = {
  title: "Penelope Nails",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <body className={roboto.className}>
        <Header/>
        <Suspense fallback={<div>Loading...</div>}>
              {children}
            </Suspense>
        <Footer/>
        </body>
    </html>
  );
}